Mappings
Returns mappings matching the given search criteria.
Only parameters that are specified in this request and have not null values are used for filtering. All other parameters are ignored.
The returned synchronization information satisfies all constraints that are specified in this search criteria. By default a result containing 1000 mappings is returned.
The first result to retrieve. If not set (offset = 0), results will be retrieved starting from row 0.
0The maximum number of results to retrieve. If not set (limit = 0), the default limit will be used. The maximum allowed limit is 1000.
0Allows to limit the number of elements that will be counted. -1 will count everything and 0 will cause the count to be skipped
-1The ID of the external system that the mapped resource belongs to.
EXT_BI_SYSThe external ID of the mapped resource.
ID_1234The ID of the mapped resource.
acf79448-db2f-4552-bef9-29128991be9eThe type of the mapped resource.
AssetPossible values: Represents the type of the action performed during last successful synchronization
The paged response with found synchronization information.
The total number of results.
1000The offset for the results.
10The maximum number of results to be returned.
100GET /rest/2.0/mappings HTTP/1.1
Authorization: Basic username:password
Accept: */*
The paged response with found synchronization information.
{
"total": 1000,
"offset": 10,
"limit": 100,
"results": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"externalSystemId": "6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9",
"externalEntityId": "844c85ed-b851-438f-8207-62843b747733",
"mappedResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"resourceDiscriminator": "text"
}
]
}Adds a new mapping.
The properties of the mapping to be added.
The ID of the new mapping. Should be unique within all mappings.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.
6d1f6b24-eda3-4b45-b17f-8a0a0ba23d00The ID of the external system that the mapped resource belongs to.
EXT_BI_SYSThe external ID of the mapped resource.
ID_1234The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://example.comThe description of the mapped resource. If specified, it should not exceed 255 characters. Deprecated. This property will be removed in a future version.
This is the description of the linked asset.The ID of the mapped resource.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
1475503010320Represents the type of the action performed during last successful synchronization
Mapping successfully added.
Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the external system that the mapped resource belongs to.
6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9The external id of the mapped resource.
844c85ed-b851-438f-8207-62843b747733The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://www.collibra.comThe description of the mapped resource. Deprecated. This property will be removed in a future version.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
1475904011120Represents the type of the action performed during last successful synchronization
ADDPossible values: The discriminator of the mapped resource, e.g. Community, Domain or Asset.
A mapping with the given ID already exists
POST /rest/2.0/mappings HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 164
{
"id": "6d1f6b24-eda3-4b45-b17f-8a0a0ba23d00",
"externalSystemId": "EXT_BI_SYS",
"externalEntityId": "ID_1234",
"mappedResourceId": "123e4567-e89b-12d3-a456-426614174000"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"externalSystemId": "6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9",
"externalEntityId": "844c85ed-b851-438f-8207-62843b747733",
"mappedResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"resourceDiscriminator": "text"
}Adds new mappings.
The properties of the mapping to be added.
The ID of the new mapping. Should be unique within all mappings.
It should have a format of universally unique identifier (UUID) and should not start with 00000000-0000-0000- which is a reserved prefix.
6d1f6b24-eda3-4b45-b17f-8a0a0ba23d00The ID of the external system that the mapped resource belongs to.
EXT_BI_SYSThe external ID of the mapped resource.
ID_1234The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://example.comThe description of the mapped resource. If specified, it should not exceed 255 characters. Deprecated. This property will be removed in a future version.
This is the description of the linked asset.The ID of the mapped resource.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
1475503010320Represents the type of the action performed during last successful synchronization
Mappings successfully added.
Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the external system that the mapped resource belongs to.
6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9The external id of the mapped resource.
844c85ed-b851-438f-8207-62843b747733The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://www.collibra.comThe description of the mapped resource. Deprecated. This property will be removed in a future version.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
1475904011120Represents the type of the action performed during last successful synchronization
ADDPossible values: The discriminator of the mapped resource, e.g. Community, Domain or Asset.
POST /rest/2.0/mappings/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 166
[
{
"id": "6d1f6b24-eda3-4b45-b17f-8a0a0ba23d00",
"externalSystemId": "EXT_BI_SYS",
"externalEntityId": "ID_1234",
"mappedResourceId": "123e4567-e89b-12d3-a456-426614174000"
}
]Mappings successfully added.
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"externalSystemId": "6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9",
"externalEntityId": "844c85ed-b851-438f-8207-62843b747733",
"mappedResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"resourceDiscriminator": "text"
}
]Change the mappings identified by its ids with the information that is present in the requests. Only properties that are specified in these requests and have not null values are updated. All other properties are ignored.
The properties of the mapping to be changed, for the mapping identified by its ID.
The ID of the mapping to be changed. Silently ignored if the ID is provided as path parameter of the request.
The ID of the external system that the mapped resource belongs to.
EXT_BI_SYSThe external ID of the mapped resource.
ID_1234The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://example.comThe description of the mapped resource. If specified, it should not exceed 255 characters. Deprecated. This property will be removed in a future version.
This is the description of the linked asset.The ID of the mapped resource.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
Represents the type of the action performed during last successful synchronization
Mappings successfully changed.
Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the external system that the mapped resource belongs to.
6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9The external id of the mapped resource.
844c85ed-b851-438f-8207-62843b747733The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://www.collibra.comThe description of the mapped resource. Deprecated. This property will be removed in a future version.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
1475904011120Represents the type of the action performed during last successful synchronization
ADDPossible values: The discriminator of the mapped resource, e.g. Community, Domain or Asset.
One of the mappings could not be found.
PATCH /rest/2.0/mappings/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 166
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalSystemId": "EXT_BI_SYS",
"externalEntityId": "ID_1234",
"mappedResourceId": "123e4567-e89b-12d3-a456-426614174000"
}
][
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"externalSystemId": "6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9",
"externalEntityId": "844c85ed-b851-438f-8207-62843b747733",
"mappedResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"resourceDiscriminator": "text"
}
]Returns a mapping identified by given id.
The id of the mapping.
Mapping successfully found.
Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the external system that the mapped resource belongs to.
6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9The external id of the mapped resource.
844c85ed-b851-438f-8207-62843b747733The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://www.collibra.comThe description of the mapped resource. Deprecated. This property will be removed in a future version.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
1475904011120Represents the type of the action performed during last successful synchronization
ADDPossible values: The discriminator of the mapped resource, e.g. Community, Domain or Asset.
Mapping could not be found.
GET /rest/2.0/mappings/{mappingId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"externalSystemId": "6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9",
"externalEntityId": "844c85ed-b851-438f-8207-62843b747733",
"mappedResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"resourceDiscriminator": "text"
}Removes the mapping identified by its id.
If the mapping does not exist, an exception is NOT thrown.
The id of the mapping.
Mapping successfully removed.
No content
DELETE /rest/2.0/mappings/{mappingId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
Mapping successfully removed.
No content
Change the mapping identified by its id with the information that is present in the request. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.
The ID of the mapping to be changed.
The properties of the mapping to be changed, for the mapping identified by its ID.
The ID of the mapping to be changed. Silently ignored if the ID is provided as path parameter of the request.
The ID of the external system that the mapped resource belongs to.
EXT_BI_SYSThe external ID of the mapped resource.
ID_1234The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://example.comThe description of the mapped resource. If specified, it should not exceed 255 characters. Deprecated. This property will be removed in a future version.
This is the description of the linked asset.The ID of the mapped resource.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
Represents the type of the action performed during last successful synchronization
Mapping successfully changed.
Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the external system that the mapped resource belongs to.
6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9The external id of the mapped resource.
844c85ed-b851-438f-8207-62843b747733The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://www.collibra.comThe description of the mapped resource. Deprecated. This property will be removed in a future version.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
1475904011120Represents the type of the action performed during last successful synchronization
ADDPossible values: The discriminator of the mapped resource, e.g. Community, Domain or Asset.
Mapping could not be found.
PATCH /rest/2.0/mappings/{mappingId} HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 164
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"externalSystemId": "EXT_BI_SYS",
"externalEntityId": "ID_1234",
"mappedResourceId": "123e4567-e89b-12d3-a456-426614174000"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"externalSystemId": "6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9",
"externalEntityId": "844c85ed-b851-438f-8207-62843b747733",
"mappedResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"resourceDiscriminator": "text"
}Returns a mapping identified by its external ids.
The ID of the external system that the mapped resource belongs to.
EXT_BI_SYSThe external ID of the mapped resource.
ID_1234Mapping successfully found.
Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the external system that the mapped resource belongs to.
6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9The external id of the mapped resource.
844c85ed-b851-438f-8207-62843b747733The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://www.collibra.comThe description of the mapped resource. Deprecated. This property will be removed in a future version.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
1475904011120Represents the type of the action performed during last successful synchronization
ADDPossible values: The discriminator of the mapped resource, e.g. Community, Domain or Asset.
Mapping could not be found.
GET /rest/2.0/mappings/externalSystem/{externalSystemId}/externalEntity/{externalEntityId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"externalSystemId": "6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9",
"externalEntityId": "844c85ed-b851-438f-8207-62843b747733",
"mappedResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"resourceDiscriminator": "text"
}Removes the mapping identified by its external ids.
If the mapping does not exist, an exception is NOT thrown.
The external system id of the mapping to be removed.
The external entity id of the mapping to be removed.
Mapping successfully removed.
No content
DELETE /rest/2.0/mappings/externalSystem/{externalSystemId}/externalEntity/{externalEntityId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
Mapping successfully removed.
No content
Changes the mapping identified by its external ids with the information that is present in the request. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.
The external system ID of the mapping to be changed.
The external entity ID of the mapping to be changed.
The properties of the mapping to be changed, for the mapping identified by its external IDs.
The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://example.comThe description of the mapped resource. If specified, it should not exceed 255 characters. Deprecated. This property will be removed in a future version.
This is the description of the linked asset.The ID of the mapped resource.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
Represents the type of the action performed during last successful synchronization
Mapping successfully changed.
Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the external system that the mapped resource belongs to.
6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9The external id of the mapped resource.
844c85ed-b851-438f-8207-62843b747733The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://www.collibra.comThe description of the mapped resource. Deprecated. This property will be removed in a future version.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
1475904011120Represents the type of the action performed during last successful synchronization
ADDPossible values: The discriminator of the mapped resource, e.g. Community, Domain or Asset.
Mapping could not be found.
PATCH /rest/2.0/mappings/externalSystem/{externalSystemId}/externalEntity/{externalEntityId} HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 111
{
"externalSystemId": "text",
"externalEntityId": "text",
"mappedResourceId": "123e4567-e89b-12d3-a456-426614174000"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"externalSystemId": "6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9",
"externalEntityId": "844c85ed-b851-438f-8207-62843b747733",
"mappedResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"resourceDiscriminator": "text"
}Returns a mapping identified by its external system id and mapped resource id.
The ID of the external system that the mapped resource belongs to.
EXT_BI_SYSThe ID of the mapped resource.
Mapping successfully found.
Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the external system that the mapped resource belongs to.
6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9The external id of the mapped resource.
844c85ed-b851-438f-8207-62843b747733The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://www.collibra.comThe description of the mapped resource. Deprecated. This property will be removed in a future version.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
1475904011120Represents the type of the action performed during last successful synchronization
ADDPossible values: The discriminator of the mapped resource, e.g. Community, Domain or Asset.
Mapping could not be found.
GET /rest/2.0/mappings/externalSystem/{externalSystemId}/mappedResource/{mappedResourceId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"externalSystemId": "6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9",
"externalEntityId": "844c85ed-b851-438f-8207-62843b747733",
"mappedResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"resourceDiscriminator": "text"
}Removes the mapping identified by its external system id and mapped resource id.
If the mapping does not exist, an exception is NOT thrown.
The external system id of the mapping to be changed.
The mapped resource id of the mapping to be changed.
Mapping successfully removed.
No content
DELETE /rest/2.0/mappings/externalSystem/{externalSystemId}/mappedResource/{mappedResourceId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
Mapping successfully removed.
No content
Changes the mapping identified by its external system id and mapped resource id with the information that is present in the requests. Only properties that are specified in this request and have not null values are updated. All other properties are ignored.
The external system id of the mapping to be changed.
The mapped resource id of the mapping to be changed.
The properties of the mapping to be changed, for the mapping identified by its external system IDs and mapped resource ID.
The ID of the external system that the mapped resource belongs to.
123e4567-e89b-12d3-a456-426614174000The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://example.comThe description of the mapped resource. If specified, it should not exceed 255 characters. Deprecated. This property will be removed in a future version.
This is the description of the linked asset.The ID of the mapped resource. Silently ignored if the ID of the mapped resource is provided as path parameter of the request.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
Represents the type of the action performed during last successful synchronization
Mapping successfully changed.
Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the external system that the mapped resource belongs to.
6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9The external id of the mapped resource.
844c85ed-b851-438f-8207-62843b747733The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://www.collibra.comThe description of the mapped resource. Deprecated. This property will be removed in a future version.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
1475904011120Represents the type of the action performed during last successful synchronization
ADDPossible values: The discriminator of the mapped resource, e.g. Community, Domain or Asset.
Mapping could not be found.
PATCH /rest/2.0/mappings/externalSystem/{externalSystemId}/mappedResource/{mappedResourceId} HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 117
{
"externalSystemId": "123e4567-e89b-12d3-a456-426614174000",
"mappedResourceId": "123e4567-e89b-12d3-a456-426614174000"
}{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"externalSystemId": "6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9",
"externalEntityId": "844c85ed-b851-438f-8207-62843b747733",
"mappedResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"resourceDiscriminator": "text"
}Changes the mappings identified by their external ids with the information that is present in the requests. Only properties that are specified in these requests and have not null values are updated. All other properties are ignored.
The properties of the mapping to be changed, for the mapping identified by its external IDs.
The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://example.comThe description of the mapped resource. If specified, it should not exceed 255 characters. Deprecated. This property will be removed in a future version.
This is the description of the linked asset.The ID of the mapped resource.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
Represents the type of the action performed during last successful synchronization
Mappings successfully changed.
Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the external system that the mapped resource belongs to.
6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9The external id of the mapped resource.
844c85ed-b851-438f-8207-62843b747733The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://www.collibra.comThe description of the mapped resource. Deprecated. This property will be removed in a future version.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
1475904011120Represents the type of the action performed during last successful synchronization
ADDPossible values: The discriminator of the mapped resource, e.g. Community, Domain or Asset.
One of the mappings could not be found.
PATCH /rest/2.0/mappings/externalSystem/externalEntity/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 113
[
{
"externalSystemId": "text",
"externalEntityId": "text",
"mappedResourceId": "123e4567-e89b-12d3-a456-426614174000"
}
][
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"externalSystemId": "6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9",
"externalEntityId": "844c85ed-b851-438f-8207-62843b747733",
"mappedResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"resourceDiscriminator": "text"
}
]Changes the mapping identified by their external system ids and mapped resource ids with the information that is present in the requests. Only properties that are specified in these requests and have not null values are updated. All other properties are ignored.
The properties of the mapping to be changed, for the mapping identified by its external system IDs and mapped resource ID.
The ID of the external system that the mapped resource belongs to.
123e4567-e89b-12d3-a456-426614174000The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://example.comThe description of the mapped resource. If specified, it should not exceed 255 characters. Deprecated. This property will be removed in a future version.
This is the description of the linked asset.The ID of the mapped resource. Silently ignored if the ID of the mapped resource is provided as path parameter of the request.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
Represents the type of the action performed during last successful synchronization
Mappings successfully changed.
Represents a mapping. A mapping is a representation of a link between external entity from external system and corresponding resource in the Data Governance Center. A single mapping refers to at most one resource which can either be a community, a domain, or an asset.
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The id of the external system that the mapped resource belongs to.
6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9The external id of the mapped resource.
844c85ed-b851-438f-8207-62843b747733The external URL of the mapped resource. Deprecated. This property will be removed in a future version.
https://www.collibra.comThe description of the mapped resource. Deprecated. This property will be removed in a future version.
The timestamp (in UTC time standard) of the last synchronization of mapped resource. Deprecated. This property will be removed in a future version.
1475904011120Represents the type of the action performed during last successful synchronization
ADDPossible values: The discriminator of the mapped resource, e.g. Community, Domain or Asset.
One of the mappings could not be found.
PATCH /rest/2.0/mappings/externalSystem/mappedResource/bulk HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 119
[
{
"externalSystemId": "123e4567-e89b-12d3-a456-426614174000",
"mappedResourceId": "123e4567-e89b-12d3-a456-426614174000"
}
][
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"externalSystemId": "6b1e48c3-0d90-42ad-a0e3-bfb6644c8cf9",
"externalEntityId": "844c85ed-b851-438f-8207-62843b747733",
"mappedResource": {
"id": "2b7f3a1a-4e50-4077-96f0-a58a395c860d",
"resourceDiscriminator": "Community",
"name": "text"
},
"resourceDiscriminator": "text"
}
]Removes all the mappings identified by given external system id.
The id of the external system of the mappings that will be removed.
Mappings removal successfully started.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/mappings/externalSystem/{externalSystemId}/removalJobs HTTP/1.1
Authorization: Basic username:password
Accept: */*
Mappings removal successfully started.
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"visibility": 1,
"progressPercentage": 50,
"cancelable": true,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"result": "SUCCESS",
"message": "Import finished in 12s."
}Removes multiple mappings in job.
If any mapping does not exist, an exception is NOT thrown.
Mappings removal successfully started.
Represents a job. Job is a single atomic task that is to be performed asynchronously
The id of the represented object (entity).
The id of the user that created this resource.
4d250cc5-e583-4640-9874-b93d82c7a6cbThe timestamp (in UTC time standard) of the creation of this resource.
1475503010320The id of the user who modified this resource the last time.
a073ff90-e7bc-4b35-ba90-c4d475f642feThe timestamp (in UTC time standard) of the last modification of this resource.
1476703764163Whether this is a system resource or not.
The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...]. This property is deprecated and will be removed in the future. To stay backwards compatible while still allowing new types of resources to be introduced, a resource discriminator property (of type String) has been added to the subtypes of Resource where it adds value, e.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute. A discriminator is only added on subtypes whose declared return type can represent more than one kind of resource; it is omitted where the return type can only ever be a single kind, as it would then always hold the same value and carry no additional information. For new types of resource that didn't exist before this change, the resourceType will be BaseDataType.
The name of the resource.
Test nameThe type of the job.
IMPORTThe ID of the user that initiated this job.
The visibility of the job.
The progress percentage of the job.
50Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted.
The start date of the job.
1488016800The end date of the job.
1488021800The state of the job.
COMPLETEDPossible values: The result of the job.
SUCCESSPossible values: The message of the job.
Import finished in 12s.POST /rest/2.0/mappings/removalJobs HTTP/1.1
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 40
[
"123e4567-e89b-12d3-a456-426614174000"
]Mappings removal successfully started.
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"createdBy": "4d250cc5-e583-4640-9874-b93d82c7a6cb",
"createdOn": 1475503010320,
"lastModifiedBy": "a073ff90-e7bc-4b35-ba90-c4d475f642fe",
"lastModifiedOn": 1476703764163,
"system": true,
"name": "Test name",
"type": "IMPORT",
"userId": "123e4567-e89b-12d3-a456-426614174000",
"visibility": 1,
"progressPercentage": 50,
"cancelable": true,
"startDate": 1488016800,
"endDate": 1488021800,
"state": "COMPLETED",
"result": "SUCCESS",
"message": "Import finished in 12s."
}Last updated
Was this helpful?